Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states
Interface SamplingState

All Superinterfaces:
  SamplingComponent, SamplingFromStatistic, State, TrainableState

All Known Implementing Classes:
  SimpleSamplingState

    public interface SamplingState

extends TrainableState, SamplingFromStatistic

Author:
  Jens Keilwagen

Method Summary
`double` | `getLogGammaScoreForCurrentStatistic()` This method calculates a score for the current statistics, which is independent from the current parameters In general the gamma-score is a product of gamma-functions parameterized with the current statistics

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.TrainableState
`addToStatistic`

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.State
`getGraphvizNodeOptions, getLogScoreFor, isSilent`

Methods inherited from interface de.jstacs.sampling.SamplingFromStatistic
`drawParametersFromStatistic, getLogPosteriorFromStatistic`

Methods inherited from interface de.jstacs.sampling.SamplingComponent
`acceptParameters, extendSampling, initForSampling, isInSamplingMode, parseNextParameterSet, parseParameterSet, samplingStopped`

Method Detail

### getLogGammaScoreForCurrentStatistic

    double getLogGammaScoreForCurrentStatistic()

  This method calculates a score for the current statistics, which is independent from the current parameters In general the gamma-score is a product of gamma-functions parameterized with the current statistics

  Returns:
    the logarithm of the gamma-score for the current statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD